Status
GET
/v1/statusWhether the API is up, and when figures were last loaded.
On every plan, Free includedKey requiredJSON or CSVCached until the next release
Parameters
No parameters.
Request
# Service status and data freshness
curl "https://api.tourismapi.com/v1/status" \
-H "X-API-Key: $TOURISM_API_KEY"const res = await fetch("https://api.tourismapi.com/v1/status", {
headers: { "X-API-Key": process.env.TOURISM_API_KEY }
});
if (!res.ok) throw new Error(`Tourism API ${res.status}`);
const { meta, data } = await res.json();
console.log(meta.data_as_of, data);import os, requests
r = requests.get(
"https://api.tourismapi.com/v1/status",
headers={"X-API-Key": os.environ["TOURISM_API_KEY"]},
timeout=10,
)
r.raise_for_status()
body = r.json()
print(body["meta"]["data_as_of"], body["data"])$ch = curl_init("https://api.tourismapi.com/v1/status");
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => ["X-API-Key: " . getenv("TOURISM_API_KEY")],
]);
$body = json_decode(curl_exec($ch), true);
print_r($body["data"]);
Example response
{
"meta": {
"request_id": "req_b2f15b089d",
"data_as_of": "2026-10-20T04:48:26Z",
"count": 1
},
"data": {
"ok": true,
"last_load": "2026-10-20T04:14:01Z",
"countries": 214,
"monthly_countries": 125,
"monthly_within_2_months": 55,
"endpoints_live": 75,
"status_page": "https://tourismapi.com/status"
}
}Response fields
| Field | Type | Example |
|---|---|---|
| ok | boolean | true |
| last_load | string | 2026-10-20T04:14:01Z |
| countries | number | 214 |
| monthly_countries | number | 125 |
| monthly_within_2_months | number | 55 |
| endpoints_live | number | 75 |
| status_page | string | https://tourismapi.com/status |